### Enumeration

# Soup WebsocketConnectionType

#### Declaration

    enum Soup.WebsocketConnectionType

#### Description [src]

The type of a `SoupWebsocketConnection`.

#### Members

`SOUP_WEBSOCKET_CONNECTION_UNKNOWN`

  Unknown/invalid connection.

  - Value: `0`
  - Available since: 3.0
`SOUP_WEBSOCKET_CONNECTION_CLIENT`

  A client-side connection.

  - Value: `1`
  - Available since: 3.0
`SOUP_WEBSOCKET_CONNECTION_SERVER`

  A server-side connection.

  - Value: `2`
  - Available since: 3.0